/*
  Copyright 2018 Tautvydas Andrikys

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

      http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
 */
package com.esminis.server.mariadb.application;

import com.esminis.server.library.application.LibraryApplicationComponent;
import com.esminis.server.library.application.LibraryApplicationModule;

import javax.inject.Singleton;

import dagger.Component;

@Singleton
@Component(modules = {
	MariaDbApplicationModule.class, MariaDbApplicationDataModule.class, LibraryApplicationModule.class
})
interface MariaDbApplicationComponent extends LibraryApplicationComponent {

	@Component.Builder
	interface Builder extends LibraryApplicationComponent.Builder {

		MariaDbApplicationComponent build();

	}

}
