/*
  Copyright 2018 Tautvydas Andrikys

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

      http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
 */
package com.esminis.server.mariadb.application;

import com.esminis.server.library.model.textgroup.ManualVariableProvider;
import com.esminis.server.library.model.textgroup.TextGroupVariableProvider;
import com.esminis.server.library.server.ServerControl;
import com.esminis.server.library.server.ServerFilesystem;
import com.esminis.server.library.server.installpackage.InstallerPackage;
import com.esminis.server.mariadb.server.InstallerPackageMariaDb;
import com.esminis.server.mariadb.server.MariaDb;
import com.esminis.server.mariadb.server.MariaDbFilesystem;

import dagger.Binds;
import dagger.Module;

@Module
interface MariaDbApplicationModule {

	@Binds
	ServerControl provideServerControl(MariaDb mariaDb);

	@Binds
	InstallerPackage provideInstallerPackage(InstallerPackageMariaDb installer);

	@Binds
	TextGroupVariableProvider provideVariableProvider(ManualVariableProvider provider);

	@Binds
	ServerFilesystem provideServerFilesystem(MariaDbFilesystem filesystem);

}
