/*
  Copyright 2018 Tautvydas Andrikys

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

      http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
 */
package com.esminis.server.mariadb.server;

import android.content.Context;

import com.esminis.server.library.model.manager.InstallPackageManager;
import com.esminis.server.library.server.ServerControl;
import com.esminis.server.library.server.ServerPreferences;
import com.esminis.server.library.server.installpackage.InstallerPackage;

import javax.inject.Inject;
import javax.inject.Singleton;

@Singleton
public class InstallerPackageMariaDb extends InstallerPackage<MariaDb> {

	@Inject
	public InstallerPackageMariaDb(
		ServerPreferences preferences, InstallPackageManager installPackageManager,
		ServerControl serverControl
	) {
		super(preferences, installPackageManager, (MariaDb)serverControl);
	}

	@Override
	protected void onInstallComplete(Context context) throws Throwable {
		serverControl.initializeDataDirectory(context);
	}
}
