/*
  Copyright 2018 Tautvydas Andrikys

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

      http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
 */
package com.esminis.server.mariadb.server;

import com.esminis.server.library.model.log.Log;
import com.esminis.server.library.server.ServerControlForeground;
import com.esminis.server.library.server.ServerFilesystem;
import com.esminis.server.library.server.ServerPreferences;

import java.io.File;
import java.util.List;

import javax.inject.Inject;
import javax.inject.Singleton;

@Singleton
public class MariaDbFilesystem extends ServerFilesystem {

	@Inject
	public MariaDbFilesystem(
		ServerPreferences preferences, ServerControlForeground foreground, Log log
	) {
		super(preferences, foreground, log);
	}

	@Override
	public List<DirectoryInfo> getDirectoriesInfo(File root) {
		final List<DirectoryInfo> result = super.getDirectoriesInfo(root);
		result.add(
			new DirectoryInfo(
				new File(root, "my.cnf"),
				com.esminis.server.library.R.string.server_filesystem_config_file, "Maria DB"
			)
		);
		return result;
	}

}
